<html>
<head>
<title>OGRE: Ogre::TRect&lt; T &gt; Struct Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="structOgre_1_1TRect.html">TRect</a></div>
<h1>Ogre::TRect&lt; T &gt; Struct Template Reference</h1><!-- doxytag: class="Ogre::TRect" --><code>#include &lt;<a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1TRect-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html#91f3cea3b1851f9b4b9004df78822678">TRect</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html#79e390fbd62e5a819207d6aee0789ab5">TRect</a> (T const &amp;l, T const &amp;t, T const &amp;r, T const &amp;b)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html#af94532ce0aaa722ff067be346fa15b1">TRect</a> (<a class="el" href="structOgre_1_1TRect.html">TRect</a> const &amp;o)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="structOgre_1_1TRect.html">TRect</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html#7acb1f97164a856f9e39305dbd2812bd">operator=</a> (<a class="el" href="structOgre_1_1TRect.html">TRect</a> const &amp;o)</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html#8c4a6e50836a2d77eec05f967fc5c92c">width</a> () const </td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html#e6ad37ddfdc8c836983e06d799160550">height</a> () const </td></tr>

<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html#7f8310e37638f8790a89f2dd64ff3fe1">left</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html#54b9de090a6cc533511d51d2bb9b0b82">top</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html#56b6ad37d298b66bc7366431f6f786b5">right</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">T&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1TRect.html#36f08aa8d3949185a90a55372a1fb389">bottom</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<h3>template&lt;typename T&gt;<br>
 struct Ogre::TRect&lt; T &gt;</h3>


<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00302">302</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="91f3cea3b1851f9b4b9004df78822678"></a><!-- doxytag: member="Ogre::TRect::TRect" ref="91f3cea3b1851f9b4b9004df78822678" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1TRect.html">Ogre::TRect</a>&lt; T &gt;::<a class="el" href="structOgre_1_1TRect.html">TRect</a>           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00305">305</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="79e390fbd62e5a819207d6aee0789ab5"></a><!-- doxytag: member="Ogre::TRect::TRect" ref="79e390fbd62e5a819207d6aee0789ab5" args="(T const &amp;l, T const &amp;t, T const &amp;r, T const &amp;b)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1TRect.html">Ogre::TRect</a>&lt; T &gt;::<a class="el" href="structOgre_1_1TRect.html">TRect</a>           </td>
          <td>(</td>
          <td class="paramtype">T const &amp;&nbsp;</td>
          <td class="paramname"> <em>l</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&nbsp;</td>
          <td class="paramname"> <em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&nbsp;</td>
          <td class="paramname"> <em>r</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">T const &amp;&nbsp;</td>
          <td class="paramname"> <em>b</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00306">306</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="af94532ce0aaa722ff067be346fa15b1"></a><!-- doxytag: member="Ogre::TRect::TRect" ref="af94532ce0aaa722ff067be346fa15b1" args="(TRect const &amp;o)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1TRect.html">Ogre::TRect</a>&lt; T &gt;::<a class="el" href="structOgre_1_1TRect.html">TRect</a>           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1TRect.html">TRect</a>&lt; T &gt; const &amp;&nbsp;</td>
          <td class="paramname"> <em>o</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00310">310</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="7acb1f97164a856f9e39305dbd2812bd"></a><!-- doxytag: member="Ogre::TRect::operator=" ref="7acb1f97164a856f9e39305dbd2812bd" args="(TRect const &amp;o)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1TRect.html">TRect</a>&amp; <a class="el" href="structOgre_1_1TRect.html">Ogre::TRect</a>&lt; T &gt;::operator=           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structOgre_1_1TRect.html">TRect</a>&lt; T &gt; const &amp;&nbsp;</td>
          <td class="paramname"> <em>o</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00314">314</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h-source.html#l00304">Ogre::TRect&lt; T &gt;::bottom</a>, <a class="el" href="OgreCommon_8h-source.html#l00304">Ogre::TRect&lt; T &gt;::left</a>, <a class="el" href="OgreCommon_8h-source.html#l00304">Ogre::TRect&lt; T &gt;::right</a>, and <a class="el" href="OgreCommon_8h-source.html#l00304">Ogre::TRect&lt; T &gt;::top</a>.</p>

</div>
</div><p>
<a class="anchor" name="8c4a6e50836a2d77eec05f967fc5c92c"></a><!-- doxytag: member="Ogre::TRect::width" ref="8c4a6e50836a2d77eec05f967fc5c92c" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="structOgre_1_1TRect.html">Ogre::TRect</a>&lt; T &gt;::width           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00322">322</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h-source.html#l00304">Ogre::TRect&lt; T &gt;::left</a>, and <a class="el" href="OgreCommon_8h-source.html#l00304">Ogre::TRect&lt; T &gt;::right</a>.</p>

</div>
</div><p>
<a class="anchor" name="e6ad37ddfdc8c836983e06d799160550"></a><!-- doxytag: member="Ogre::TRect::height" ref="e6ad37ddfdc8c836983e06d799160550" args="() const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="structOgre_1_1TRect.html">Ogre::TRect</a>&lt; T &gt;::height           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00326">326</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>References <a class="el" href="OgreCommon_8h-source.html#l00304">Ogre::TRect&lt; T &gt;::bottom</a>, and <a class="el" href="OgreCommon_8h-source.html#l00304">Ogre::TRect&lt; T &gt;::top</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="7f8310e37638f8790a89f2dd64ff3fe1"></a><!-- doxytag: member="Ogre::TRect::left" ref="7f8310e37638f8790a89f2dd64ff3fe1" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="structOgre_1_1TRect.html">Ogre::TRect</a>&lt; T &gt;::<a class="el" href="structOgre_1_1TRect.html#7f8310e37638f8790a89f2dd64ff3fe1">left</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00304">304</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h-source.html#l00314">Ogre::TRect&lt; T &gt;::operator=()</a>, <a class="el" href="OgreFont_8h-source.html#l00252">Ogre::Font::setGlyphTexCoords()</a>, and <a class="el" href="OgreCommon_8h-source.html#l00322">Ogre::TRect&lt; T &gt;::width()</a>.</p>

</div>
</div><p>
<a class="anchor" name="54b9de090a6cc533511d51d2bb9b0b82"></a><!-- doxytag: member="Ogre::TRect::top" ref="54b9de090a6cc533511d51d2bb9b0b82" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="structOgre_1_1TRect.html">Ogre::TRect</a>&lt; T &gt;::<a class="el" href="structOgre_1_1TRect.html#54b9de090a6cc533511d51d2bb9b0b82">top</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00304">304</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h-source.html#l00326">Ogre::TRect&lt; T &gt;::height()</a>, and <a class="el" href="OgreCommon_8h-source.html#l00314">Ogre::TRect&lt; T &gt;::operator=()</a>.</p>

</div>
</div><p>
<a class="anchor" name="56b6ad37d298b66bc7366431f6f786b5"></a><!-- doxytag: member="Ogre::TRect::right" ref="56b6ad37d298b66bc7366431f6f786b5" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="structOgre_1_1TRect.html">Ogre::TRect</a>&lt; T &gt;::<a class="el" href="structOgre_1_1TRect.html#56b6ad37d298b66bc7366431f6f786b5">right</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00304">304</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h-source.html#l00314">Ogre::TRect&lt; T &gt;::operator=()</a>, and <a class="el" href="OgreCommon_8h-source.html#l00322">Ogre::TRect&lt; T &gt;::width()</a>.</p>

</div>
</div><p>
<a class="anchor" name="36f08aa8d3949185a90a55372a1fb389"></a><!-- doxytag: member="Ogre::TRect::bottom" ref="36f08aa8d3949185a90a55372a1fb389" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T <a class="el" href="structOgre_1_1TRect.html">Ogre::TRect</a>&lt; T &gt;::<a class="el" href="structOgre_1_1TRect.html#36f08aa8d3949185a90a55372a1fb389">bottom</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreCommon_8h-source.html#l00304">304</a> of file <a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a>.</p>

<p>Referenced by <a class="el" href="OgreCommon_8h-source.html#l00326">Ogre::TRect&lt; T &gt;::height()</a>, and <a class="el" href="OgreCommon_8h-source.html#l00314">Ogre::TRect&lt; T &gt;::operator=()</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreCommon_8h-source.html">OgreCommon.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:20 2008
</p>
</body>
</html>
